<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Mon Oct 14 14:51:10 CEST 2019 -->
<title>G-Index</title>
<meta name="date" content="2019-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../domain/Genre.html" title="class in domain"><span class="typeNameLink">Genre</span></a> - Class in <a href="../domain/package-summary.html">domain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Genre.html#Genre--">Genre()</a></span> - Constructor for class domain.<a href="../domain/Genre.html" title="class in domain">Genre</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Genre.html#Genre-int-java.lang.String-">Genre(int, String)</a></span> - Constructor for class domain.<a href="../domain/Genre.html" title="class in domain">Genre</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../repo/GenreDAO.html" title="class in repo"><span class="typeNameLink">GenreDAO</span></a> - Class in <a href="../repo/package-summary.html">repo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/GenreDAO.html#GenreDAO--">GenreDAO()</a></span> - Constructor for class repo.<a href="../repo/GenreDAO.html" title="class in repo">GenreDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/GenreDAO.html#GenreDAO-java.sql.Connection-">GenreDAO(Connection)</a></span> - Constructor for class repo.<a href="../repo/GenreDAO.html" title="class in repo">GenreDAO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../repo/GenreDAOTest.html" title="class in repo"><span class="typeNameLink">GenreDAOTest</span></a> - Class in <a href="../repo/package-summary.html">repo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/GenreDAOTest.html#GenreDAOTest--">GenreDAOTest()</a></span> - Constructor for class repo.<a href="../repo/GenreDAOTest.html" title="class in repo">GenreDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../services/GenreService.html" title="class in services"><span class="typeNameLink">GenreService</span></a> - Class in <a href="../services/package-summary.html">services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../services/GenreService.html#GenreService-repo.GenreDAO-">GenreService(GenreDAO)</a></span> - Constructor for class services.<a href="../services/GenreService.html" title="class in services">GenreService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ServicesTest/GenreServicesTest.html" title="class in ServicesTest"><span class="typeNameLink">GenreServicesTest</span></a> - Class in <a href="../ServicesTest/package-summary.html">ServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/GenreServicesTest.html#GenreServicesTest--">GenreServicesTest()</a></span> - Constructor for class ServicesTest.<a href="../ServicesTest/GenreServicesTest.html" title="class in ServicesTest">GenreServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#getAuthor--">getAuthor()</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#getBirthDate--">getBirthDate()</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#getBook--">getBook()</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#getBorrowDate--">getBorrowDate()</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#getFirstName--">getFirstName()</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#getGender--">getGender()</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#getGenre--">getGenre()</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Author.html#getId--">getId()</a></span> - Method in class domain.<a href="../domain/Author.html" title="class in domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#getId--">getId()</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#getId--">getId()</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Genre.html#getId--">getId()</a></span> - Method in class domain.<a href="../domain/Genre.html" title="class in domain">Genre</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#getId--">getId()</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Author.html#getLastName--">getLastName()</a></span> - Method in class domain.<a href="../domain/Author.html" title="class in domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../exceptions/IDOutOfBoundException.html#GetMessage--">GetMessage()</a></span> - Method in exception exceptions.<a href="../exceptions/IDOutOfBoundException.html" title="class in exceptions">IDOutOfBoundException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../exceptions/NoRecordFoundException.html#getMessage--">getMessage()</a></span> - Method in class exceptions.<a href="../exceptions/NoRecordFoundException.html" title="class in exceptions">NoRecordFoundException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Author.html#getName--">getName()</a></span> - Method in class domain.<a href="../domain/Author.html" title="class in domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#getName--">getName()</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Genre.html#getName--">getName()</a></span> - Method in class domain.<a href="../domain/Genre.html" title="class in domain">Genre</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#getName--">getName()</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#getPageCount--">getPageCount()</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#getReturnDate--">getReturnDate()</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#getStudent--">getStudent()</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
